<?php

use think\migration\Migrator;

class CreateSysConfigType extends Migrator
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $table = $this->table('sys_config_type', ['id' => false, 'engine' => 'InnoDB', 'comment' => '系统配置类型表']);
        $table->addColumn('name', 'string', ['limit' => 64, 'null' => false, 'comment' => '类型名'])
            ->addColumn('value', 'string', ['limit' => 255, 'null' => true, 'default' => null, 'comment' => '类型值'])
            ->addColumn('sort', 'integer', ['limit' => 11, 'null' => false, 'default' => 0, 'comment' => '排序'])
            ->addColumn('remark', 'string', ['limit' => 255, 'null' => true, 'default' => null, 'comment' => '备注'])
            ->create();
    }
}
